### Function

# Vips ImageMapFn

#### Declaration

    void*
    (* VipsImageMapFn) (
      VipsImage* image,
      const char* name,
      GValue* value,
      void* a
    )

#### Description

No description available.

#### Parameters

`image`

  Type: `VipsImage`

  No description available.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

No description available.

The data is owned by the called function.
The return value can be `NULL`.